using PARR.Core.Repositories.Interfaces;
using PARR.DAL.Context;
using PARR.Domain.Entities;

namespace PARR.DAL.Repositories
{
    internal class RobotStatusRepository : IRobotStatusRepository
    {
        private readonly DataContext dataContext;

        public RobotStatusRepository(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<RobotStatus> Get()
        {
            return dataContext.RobotStatuses;
        }
    }
}
